@import '~src/app/common-scss/common.scss';

::ng-deep .mat-expansion-panel-header-description, .mat-expansion-indicator::after {
    color: currentColor !important;
}

.example-spacer {
    flex: 1 1 auto;
}

::ng-deep .mat-expansion-panel-m-0{
    .mat-expansion-panel-content{
        .mat-expansion-panel-body {
            padding: 0 !important;
        }
    }
}

/* Badges */

.badge {
    border-radius: 20px;
    font-size: 12px;
    line-height: 1;
    padding: .375rem .5625rem;
    font-weight: normal;
    &.badge-pill {
      border-radius: 10rem; 
    }
}
  
/*Badge outlined variations*/

// @each $color, $value in $theme-colors {
//     .badge-outline-#{$color} {
//     @include badge-outline-variations($value);
//     }
// }
// @each $color, $value in $theme-colors {
//     .badge-#{$color} {
//     @include badge-variations($value);
//     }
// }


.card-max{
    overflow: auto !important;
    max-height: calc(100vh - 450px);
}

.card-min{
    min-height: calc(100vh - 450px);
}

.form-min{
    min-height: calc(100vh - 520px);
}


th.mat-header-cell, td.mat-cell, td.mat-footer-cell {
    padding: 0px 11px !important;
}

.a{
    color: blue;
    cursor: pointer;
    & :hover{
        text-decoration: underline;
    }
}

::ng-deep .custom-select-dropdown{
    position: absolute !important;
    left: 60px !important;
    top: 40px !important;
    width: 0% !important;
    .mat-select-trigger{
        .mat-select-value{
            display: none !important;
        }
        .mat-select-arrow-wrapper{
            display: none !important;
        }
    }
}